Bug 51651 - unable to start tftp server
unable to start tftp server
Product: Red Hat Linux
Classification: Retired
Component: tftp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-08-13 11:51 EDT by Steve Joiner
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-13 14:13:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Joiner 2001-08-13 11:51:08 EDT
Description of Problem:

Unable to start tftp server.  

I've installed all the bug fixes with up2date, and I have upgraded to the
latest versions of tftp from rawhide.

$ rpm -qa | grep tftp

This seemed to work for a while, but now when I try to start the server using:

$ /usr/sbin/in.tftpd -s /tftpboot

It exits immediately and I find the following message in /var/log/messages:

Aug 13 11:49:41 radagast in.tftpd[14833]: recvfrom: Socket operation on

Comment 1 Steve Joiner 2001-08-13 14:13:34 EDT
Hmmm.  If I enable tftp through ntsysv, it comes up running.  If I don't enable
it in ntsysv, then I can't get it running from the command line.  Weird.

Well, it's running now, so my problem is solved.
Comment 2 Phil Knirsch 2001-08-14 11:58:19 EDT
OK, I'm closing this bug then with NOTABUG if thats ok with you. Reopen it if
you think it's necessary.

But yes, chkconfig tftp on and a service xinetd restart is the correct way of
doing it.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.